import { ProductListItem } from "../APIClient";

export interface ProductDataProps {
    productID: string,
}
export interface DeleteProductProps extends ProductDataProps {
    onDelete: (val) => void
}
export interface ProductListRowsProps {
    products: ProductListItem[],
    onDelete: (val) => void,
}
export interface ProductState {
    product: ProductListItem[]
}
export interface ProductFormState {
    form: {
        name: string,
        price: number,
    },
    errors: string[],
    busy: boolean,
}